#include "RallyEvaluator.h"

#include "BehaviorScores.h"
#include "EntityAdmin.h"
#include "RallyBehavior.h"
#include "tracing.h"

void RallyEvaluator::evaluate(EntityAdmin& admin)
{
    TRACE();
    admin.forEach<RallyBehavior>(
        [](entt::entity /*e*/, RallyBehavior& rally)
        {
            rally.score = BehaviorScores::kRally;
        });
}
